Skip site navigation (1) Skip section navigation (2)

openbsd 3.2, postgresql 7.3beta3 and openssl 'e_os.h' include file

From: "Peter Galbavy" <peter(dot)galbavy(at)knowtion(dot)net>
To: <pgsql-ports(at)postgresql(dot)org>, <ports(at)openbsd(dot)org>
Subject: openbsd 3.2, postgresql 7.3beta3 and openssl 'e_os.h' include file
Date: 2002-11-05 08:13:11
Message-ID: 002001c284a3$2edcc070$29bd10ac@walrus (view raw or flat)
Thread:
Lists: pgsql-hackerspgsql-ports
[To BOTH postgresql and openbsd ports lists... please reply as appropriate.]

I finally got around to trying to build 7.3beta3 on an fresh OpenBSD
3.2/i386 box, without all the historical lint that gets collected up.
OpenSSL 0.9.x is including in the base release.

The includsion of <openssl/e_os.h> in src/backend/libpq/be-secure.c fails.
Removing this include results in a compile, but a missing reference to
'get_last_socket_error()' in linking. I cannot find that in any openssl
include file :(

I know *nothing* about using the OpenSSL libraries, and I am off away from
the 'net for a week from tonight. :( Sorry.

I will include any patches in the OpenBSD postgresql port that I am working
on, but this may affect other systems that (perhaps) use the newer OpenSSL
libraries ?

Any ideas ?
--
Peter


Responses

pgsql-ports by date

Next:From: Peter GalbavyDate: 2002-11-05 13:16:49
Subject: Re: openbsd 3.2, postgresql 7.3beta3 and openssl 'e_os.h' include file
Previous:From: Henshall, Stuart - Design & PrintDate: 2002-11-04 16:52:00
Subject: Re: Question

pgsql-hackers by date

Next:From: Dave PageDate: 2002-11-05 08:32:15
Subject: Re: Request for supported platforms
Previous:From: Justin CliftDate: 2002-11-05 07:41:36
Subject: Re: [HACKERS] PostgreSQL IRC Channel... who's the Admin?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group